Bug 1296791 - Loop back device mounted from nfs share doesn't get mounted without _netdev option
Loop back device mounted from nfs share doesn't get mounted without _netdev o...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: systemd-maint
qe-baseos-daemons
:
Depends On:
Blocks: 1298243 1420851
  Show dependency treegraph
 
Reported: 2016-01-07 23:07 EST by VIKRANT
Modified: 2018-01-01 20:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description VIKRANT 2016-01-07 23:07:11 EST
Description of problem:
On rhel nfs client loop mount of the image present in nfs share is not getting mounted with _netdev option.

Version-Release number of selected component (if applicable):
3.10.0-327.4.4.el7.x86_64  (RHEL 7.2)

How reproducible:
Everytime

Steps to Reproduce:
1. Export a nfs share from RHEL machine containing image.
2. Mount that share on nfs client and add the entry in /etc/fstab with _netdev option.
3. Loop mount the image present in share on nfs client and add the entry for same /etc/fstab without _netdev option and with x-systemd.requires for original nfs filesystem mounted in Step 2.



Actual results:
Without _netdev option for the loop 

Expected results:
As we have added dependency for original nfs filesystem in loop back device it should get mounted with _netdev option.


Additional info:
Workaround is to add _netdev option for loop mount device.


==> Working Configuration 

10.65.6.158:/myexport /mnt/install nfs ro,_netdev 0 0
/mnt/install/rhel-server-7.1-x86_64-dvd.iso /repodvd iso9660 loop,ro,x-systemd.requires=mnt-install.mount,_netdev 0 0

==> Not-working configuration.

10.65.6.158:/myexport /mnt/install nfs ro,_netdev 0 0
/mnt/install/rhel-server-7.1-x86_64-dvd.iso /repodvd iso9660 loop,ro,x-systemd.requires=mnt-install.mount 0 0
Comment 2 VIKRANT 2016-01-10 22:51:41 EST
Typo In Description of the Bug. It should be read as : 

On rhel nfs client loop mount of the image present in nfs share is not getting mounted **WITHOUT** _netdev option.
Comment 3 Lukáš Nykrýn 2016-01-12 09:09:23 EST
Can you please add debug to kernel cmdline, reproduce the issue and post here output of journalctl -b?
Comment 5 Lukáš Nykrýn 2016-01-13 02:31:58 EST
Yes, or you can just add thet directly during boot in grub.

Note You need to log in before you can comment on or make changes to this bug.